<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<title>Reset</title>
	<meta name="viewport" content="width=device-width, initialscale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css"
		integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
	<!-- <link rel="stylesheet" href="../css/shards.min.css"> -->
	<script>
		function checkPasswordMatch(fieldConfirmPassword) {
			if (fieldConfirmPassword.value != $("#password").val()) {
				fieldConfirmPassword.setCustomValidity("Passwords do not match!");
			} else {
				fieldConfirmPassword.setCustomValidity("");
			}
		}
	</script>
</head>
<div>
	<h2>Reset Your Password</h2>
</div>

<form th:action="@{/reset/reset_password}" method="post" style="max-width: 350px; margin: 0 auto;">
	<input type="hidden" name="token" th:value="${token}" />
	<div class="border border-secondary rounded p-3">
		<div>
			<p>
				<input type="password" name="password" id="password" class="form-control"
					placeholder="Enter your new password" required autofocus />
			</p>
			<p>
				<input type="password" class="form-control" placeholder="Confirm your new password" required
					oninput="checkPasswordMatch(this);" />
			</p>
			<p class="text-center">
				<input type="submit" value="Change Password" class="btn btn-primary" />
			</p>
		</div>
	</div>
</form>